﻿using System.Collections.Generic;
using System.Linq;
using Pixiview.Utils;

namespace Pixiview.Illust
{
    public partial class RecommendsPage : IllustCollectionPage
    {
        public bool ByUser { get; set; }

        public RecommendsPage()
        {
            Resources.Add("cardView", GetCardViewTemplate());
            InitializeComponent();

            StartLoad();
        }

        protected override IEnumerable<string> DoGetIllustList(IllustData data)
        {
            if (ByUser)
            {
                return data.body.page.recommendUser.SelectMany(i => i.illustIds);
            }
            else
            {
                return data.body.page.recommend;
            }
        }

        protected override IllustData DoLoadIllustData(bool force)
        {
            return Stores.LoadIllustData(force);
        }
    }
}
