﻿using System;
using System.Collections.Generic;
using System.Linq;
using Pixiview.Utils;

namespace Pixiview.Illust
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    //[DesignTimeVisible(false)]
    public partial class MainPage : IllustCollectionPage
    {
        public MainPage()
        {
            Resources.Add("cardView", GetCardViewTemplate());
            InitializeComponent();

            StartLoad();
        }

        protected override IEnumerable<string> DoGetIllustList(IllustData data)
        {
            return data.body.page.follow.Select(i => i.ToString());
        }

        protected override IllustData DoLoadIllustData(bool force)
        {
            return Stores.LoadIllustData(force);
        }

        private void Refresh_Clicked(object sender, EventArgs e)
        {
            if (Loading)
            {
                return;
            }
            StartLoad(true);
        }
    }
}
